Subject: [pkix] [Errata Held for Document Update] RFC6844 (5200)

From: RFC Errata System <[email-masked]>
Date: Fri, 30 Nov 2018 11:42:04 -0800 (PST)

The following errata report has been held for document update 
for RFC6844, "DNS Certification Authority Authorization (CAA) Resource Record". 

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5200

--------------------------------------
Status: Held for Document Update
Type: Technical

Reported by: Richard Gibson <[email-masked]>
Date Reported: 2017-12-08
Held by: EKR (IESG)

Section: 3

Original Text
-------------
<Issuer Domain Name> [; <name>=<value> ]*

Corrected Text
--------------
<Issuer Domain Name> [; [ <name>=<value> ]* ]

Notes
-----
For values of the "issue" and "issuewild" property tags, section 3 specifies [; <name>=<value> ]* (which seems to indicate that every parameter is preceded by a semicolon) but the grammar in section 5.2 specifies [";" *(space parameter) space] (in which parameters are separated by whitespace and the entire list is preceded by a single semicolon). Presumably, the formal grammar is definitive and the preceding shorthand should be updated to better express it.

--------------------------------------
RFC6844 (draft-ietf-pkix-caa-15)
--------------------------------------
Title               : DNS Certification Authority Authorization (CAA) Resource Record
Publication Date    : January 2013
Author(s)           : P. Hallam-Baker, R. Stradling
Category            : PROPOSED STANDARD
Source              : Public-Key Infrastructure (X.509)
Area                : Security
Stream              : IETF
Verifying Party     : IESG